# barChartVertical

#### new barChartVertical(selection)

Constructor

Source:
  - chart/barChartVertical.js, line 79

##### Parameters:

Name | Type | Description
--- | --- | ---
`selection` | `d3.selection` | The chart holder D3 selection.

### Methods

#### (static) colors(_v) → {*}

Colors Getter / Setter

Source:
  - chart/barChartVertical.js, line 222

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Array` | Array of colours used by color scale.

##### Returns:

Type:
  `*`

#### (static) colorScale(_v) → {*}

Color Scale Getter / Setter

Source:
  - chart/barChartVertical.js, line 210

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 color scale.

##### Returns:

Type:
  `*`

#### (static) debug(_v) → {*}

Debug Getter / Setter

Source:
  - chart/barChartVertical.js, line 234

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `boolean` | Show debug log and stats. True/False.

##### Returns:

Type:
  `*`

#### (static) dimensions(_v) → {*}

Dimensions Getter / Setter

Source:
  - chart/barChartVertical.js, line 174

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Object` | 3D object dimensions.

##### Returns:

Type:
  `*`

#### (static) height(_v) → {*}

Height Getter / Setter

Source:
  - chart/barChartVertical.js, line 162

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | X3D canvas height in px.

##### Returns:

Type:
  `*`

#### (static) width(_v) → {*}

Width Getter / Setter

Source:
  - chart/barChartVertical.js, line 150

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | X3D canvas width in px.

##### Returns:

Type:
  `*`

#### (static) xScale(_v) → {*}

X Scale Getter / Setter

Source:
  - chart/barChartVertical.js, line 186

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) yScale(_v) → {*}

Y Scale Getter / Setter

Source:
  - chart/barChartVertical.js, line 198

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`